== Changelog ==

= 1.0.208 =

* Modifies the preload in iPhones and iPads.

= 1.0.207 =

* Modifies the styles to avoid visual conflicts with currencies that must be shown in uppercase, such as CHF.

= 1.0.206 =

* Fixes an issue in the iDeal-Mollie add-on.

= 1.0.205 =

* Implements the integration with iDeal - Mollie payment gateway.
* Fixes an issue in the Square add-on.

= 1.0.204 =

* Adjusts the plugin's styles to the next default WordPress theme.

= 1.0.203 =

* Improves the store's accessibility.

= 1.0.202 =

* Modifies the module that identifies the registered users.

= 1.0.201 =

* Modifies a conflict between the add-ons.

= 1.0.200 =

* Modifies the scripts blocks to prevent the uncaught errors in other plugins affect to the Music Store.

= 1.0.199 =

* Includes a new section in the products' settings to allow generate manual purchases.
* Includes links to the products' pages from the shopping cart (Professional version of the plugin)

= 1.0.198 =

* Modifies the code that generates the download and cart pages.

= 1.0.197 =

* Checks a possible issue with the database structure, and fixes it.

= 1.0.196 =

* Includes a new add-on to allow the integration with the Square payment gateway.

= 1.0.195 =

* Includes a new add-on to allow the integration with the Affiliate Managers plugin.

= 1.0.194 =

* Fixes a minor issue in the sales reports.

= 1.0.193 =
= 1.0.192 =

* Modifies the sessions' management.

= 1.0.191 =

* If the buyer is logged before purchasing, once it comes to the website again, while the download link is valid, the player will load the original audio file.

= 1.0.190 =
= 1.0.189 =

* Fixes a conflict with third party themes.

= 1.0.188 =

* Modifies the store styles.

= 1.0.187 =

* Modifies the tags structure and the styles to prevent conflicts with third party themes.

= 1.0.186 =

* If the buyer is a registered user, includes a link to his/her profile in the sales reports.
* Modifies the settings interface.
* Modifies the module that generates the files for demo (Professional version of the plugin).

= 1.0.185 =

* Fixes a conflict with the Stripe integration plugin.

= 1.0.184 =

* Fixes an issue in the integration with the payment gateway.
* Fixes an issue with the shopping cart processing (Professional version).

= 1.0.183 =

* If the buyer is logged before purchasing, once it comes to the website again, while the download link is valid, the purchase buttons of purchased products, would be replaced by download buttons.

= 1.0.182 =

* Fixes a conflict with third party themes.

= 1.0.181 =

* Fixes a notice.

= 1.0.180 =

* Fixes an issue with the shopping cart.

= 1.0.179 =

* Replaces the buy buttons images with texts and css, allowing translate their texts and modify their designs.
* Fixes some styles conflicts.
* Fixes a conflict with the Music Store - Stripe Add On.

= 1.0.178 =

* Fixes a database issue.

= 1.0.177 =

* Modifies the layout 3.
* Fixes some conflicts with the themes' styles.
* Highlights the most important attributes in the products and store's settings.
* Increases the timeout for accessing to the audio files hosted on external domains.

= 1.0.176 =

* Fixes an encoding issue in some ampersand symbols on generated URLs.

= 1.0.175 =

* If it is enabled the option to display the purchase button only to registered users, the download page access would be restricted too.

= 1.0.174 =

* Fixes an issue with the custom fields associated to the store's products.

= 1.0.173 =

* Adapts the plugin's blocks to the latest version of the Gutenberg editor.

= 1.0.172 =

* Fixes a minor error in the prevent cache feature.

= 1.0.171 =

* Modifies the script that generates the players for those pages whose contents are loaded with AJAX, and don't trigger document onready or window onload events.
* Includes a new attribute in the store's settings for controlling the additional attribute to prevent the pages cache.

= 1.0.170 =

* Fixes an issue in the templates editor section.

= 1.0.169 =

* Includes additional parameters in the URLs of products and the store's pages to prevent be cached by third party plugins.

= 1.0.168 =

* Includes a new option in the sales reports to resend the download link to the buyer and reset the number of downloads.

= 1.0.167 =

* Allows to associate custom fields to the products.
* Modifies the templates editor.

= 1.0.166 =

* Includes a new section to customize the products templates.

= 1.0.165 =

* Improves the access to the currency and language codes from the store settings.

= 1.0.164 =

* Modifies the styles of players.

= 1.0.163 =

* Includes a new module to prevent the WP Super Cache plugin cached the download page, and other particular pages of the music store.

= 1.0.162 =

* Includes a list of filters to allow modify the songs and collections data before display them:

musicstore_song_title
musicstore_song_votes
musicstore_song_cover_url
musicstore_song_time
musicstore_song_year
musicstore_song_isrc
musicstore_song_info
musicstore_song_content
musicstore_song_audio_tag

musicstore_collection_title
musicstore_collection_votes
musicstore_collection_cover_url
musicstore_collection_year
musicstore_collection_upc
musicstore_collection_info
musicstore_collection_audio_tag
musicstore_collection_content

musicstore_track_title
musicstore_track_time
musicstore_track_audio_tag

The filters require two parameters, the information to process and the song or collection id.

= 1.0.161 =

* Modifies the module for debugging the payments.

= 1.0.160 =

* Fixes an issue with the Order By Section.

= 1.0.159 =

* Includes new Order By options.

= 1.0.158 =

* Modifies the access to the demos.

= 1.0.157 =

* Includes a new section in the store's settings to make easier the debugging of payments notifications.

= 1.0.156 =

* Fixes an issue in the integration with the Stripe add-on.

= 1.0.155 =

* Allows the installation of some add-ons directly from the store's settings.

= 1.0.154 =

* Fixes a warning in the songs and collections.

= 1.0.153 =

* Includes two new constant that can be included in the notification emails: %DATETIME% that would be replaced by the purchase date/time, and "%BUYERNAME%" that would be replaced by the first name and last name of the buyer, if there is an user in the website with payer's email.

= 1.0.152 =

* Fixes a conflict with third party plugins.

= 1.0.151 =

* Includes a new attribute in the store's settings to allow associate the full-size image as products' covers, or the medium-size version.

= 1.0.150 =

* The current update removes the recent attributes from the store's settigns, because in the latest updates of the WordPress they are unneeded, furthermore have been corrected the roles of users that can create songs (similar to other ecommerce plugins). Hiding the options from the WordPress menu for those users without access to them.

= 1.0.149 =

* Assigns the title attribute to the buttons for screen readers compatibility.

= 1.0.148 =
= 1.0.147 =

* Suppressed

= 1.0.146 =

* Fixes some issues with the hooks in the add-ons.

= 1.0.145 =

* Includes some minor changes in the sales reports.

= 1.0.144 =

* Improves the plugin's security.

= 1.0.143 =

* Includes the integration with the BeaverBuilder Editor.

= 1.0.142 =

* Gives more control over the download links for those songs you don't want sell.

= 1.0.141 =

* Fixes some minor issues.

= 1.0.140 =

* Modifies the module of the IPN script.

= 1.0.139 =

* Modifies the plugin to allow the play all feature in iOS.

= 1.0.138 =

* Improves the loading process of the audio files without affecting the page load.

= 1.0.137 =

* Improves the plugin's code and fixes some styles' conflicts.
* Modifies the core's code to allow the integration with other plugins of payment gateways.

= 1.0.136 =

* Fixes some notices.

= 1.0.135 =

* Improves the identification of the special pages, like the download page, and the shopping cart page in the commercial version of the plugin.

= 1.0.134 =

* Improves the module that protects the store.
* Fixes some notices in the download process of purchased files.

= 1.0.133 =

* The stats for songs played have returned to the plugin. Now appears a new column in the list of products, with the number of times the audio files associated have been played. But these numbers are only informative, and do not affect the popularity, as in the previous versions of the plugin.

= 1.0.132 =

* Includes some minor errors.

= 1.0.131 =

* Modifies the module to download the purchased files.
* Modifies the module that the determines the default From and Destination addresses for the notification emails.

= 1.0.130 =

* Includes specific widgets to insert the store from Page Builder by SiteOrigin.

= 1.0.129 =

* Modifies the queries to improve the plugin performance.
* Removes the support for Google+ because Google has closed its social network.

= 1.0.128 =

* Implements a real review module. Now the popularity is decided by the users, clicking on the corresponding star icon associated to the products, instead determine them automatically.

= 1.0.127 =

* Modifies the blocks for the Gutenberg editor,  preparing the plugin for WordPress 5.1

= 1.0.126 =

* Accepts the new "exclude" attribute in the [music_store] shortcode to exclude specific products from the store. The values of the attribute are the products' ids separated by comma sign.
* Allows to define the new attribute from the different editors (The classic WordPress editor, Gutenberg editor and Elementor).

= 1.0.125 =

* Modifies the language files and plugin headers.

= 1.0.124 =

* Fixes an issue filtering the products by genre in the online store.
* Includes specific widgets to integrate the plugin with the Elementor editor.
* Improves the generation of the download links.

= 1.0.123 =

* Improves the store's settings.
* Includes a new attribute in the store's settings for showing/hiding the products popularity in the store.

= 1.0.122 =

* Modifies the way the shortcodes are replaced to create the preview of the store and products in the Gutenberg editor.

= 1.0.121 =

* Modifies the module to download the purchased products to fix some issues in servers with low resources.

= 1.0.120 =

* Improves the integration with the Gutenberg editor displaying a preview of blocks.

= 1.0.119 =

* Fixes an issue between the Promote Banner and the official distribution of WP5.0

= 1.0.118 =

* Includes a new section in the store's settings to display related products in the products' pages.
* The Professional version of the plugin includes a new option in the store's settings for controlling the icons S/C in front the products.

= 1.0.117 =

* Includes new language files.
* The Professional version of the plugin includes the auto-update module.

= 1.0.116 =

* Modifies the store's settings to allow detect easier the possible problems, and includes a video to teach users how configure their PayPal accounts.

= 1.0.115 =

* Fixes a conflict with the latest update of the Gutenberg editor.

= 1.0.114 =

* Solves a conflict with the "Speed Booster Pack" plugin.

= 1.0.113 =

* Fixes an isse with the special text {download-links-here}.

= 1.0.112 =

* Allows to include a special text in the download page: {download-links-here} to be replaced by the download links. The special text gives the websites owners more control over the format of the download pages. If the special text is not inserted the download links are concatenated to the download page's content.
* Fixes an issue checking the memory available in the PHP script.

= 1.0.111 =

* Removes the CrossOrigin attribute from the audio tags.

= 1.0.110 =

* Modifies the feedback module.

= 1.0.109 =

* Hides the promotion banner for the majority of roles and fixes a conflict between the promotion banner and the Gutenberg editor.

= 1.0.108 =

* Reduces the number of database queries.

= 1.0.107 =

* Modifies the integration with the Gutenberg editor, replacing the deprecated methods with the new ones.
* Removes the functions deprecated in PHP7.2

= 1.0.106 =

* Modifies the wizard for the initial configuration.

= 1.0.105 =

* Improves the store configuration process.

= 1.0.104 =

* Modifies the activation action.

= 1.0.103 =

* Improves the store configuration.
* Modifies the deactivation process to allow the users find easier the solution to the usual issues.

= 1.0.102 =

* Removes and optimize some queries to increase the plugin's performance.

= 1.0.101 =

* Removes functions that were deprecated in PHP 7.2

= 1.0.100 =

* Modifies the way the client's side scripts are executed to prevent the uncaught javascript errors on page affect the Music Store.

= 1.0.99 =

* Removes the invalid characters from the products names when the purchase is redirected to the payment gateway.

= 1.0.98 =

* Fixes an issue with the loopback requests when are being edited the code of plugins or themes in the WordPress editor.

= 1.0.97 =

* Modifies the store's settings.

= 1.0.96 =

* Includes the crossOrigin attribute in the audio tags for playing files in external domains.

= 1.0.95 =

* Fixes an issue in the promotional banner module.

= 1.0.94 =

* Allows to define the taxes to apply to sales from the settings page of the store.

= 1.0.93 =

* Removes the copy of "MediaElement" player distributed with the plugin to use the version distributed with WordPress.

= 1.0.92 =

* Restricts the access to the settings page of the store, the sales reports and the import songs section.
* Fixes an issue with the songs duration in Firefox.

= 1.0.91 =

* Modifies the code that is considered deprecated by PHP7.

= 1.0.90 =

* Improves the integration with the Gutenberg editor.

= 1.0.89 =

* Allows the integration with the Gutenberg editor (the next editor distributed with WordPress).

= 1.0.88 =

* Modifies the payment gateway module to allow the integration with other payment gateways.

= 1.0.87 =

* Modifies the integration with the payment gateway.
* Modifies the appearance of filtering options in the dark layout.
* Fixes other minor issues.

= 1.0.86 =

* Includes some modifications in the database and the function that register the purchases.

= 1.0.85 =

* Includes a module to support add-ons.
* Includes new hooks (filters and actions).

= 1.0.84 =

* Fixes some minor errors.
* Modifies the store's settings page.
* The professional version of the plugin allows define songs bonus.

= 1.0.83 =

* Includes a new block in the sales reports section for entering sales manually, allowing the websites' owners to maintain updated the sales reports, even if the products were sold by other ways.

= 1.0.82 =

* Allows filtering by multiple genres (separated by comma symbols) through the [music_store] shortcode.

= 1.0.81 =

* Fixes a notice starting the session variables.
* The professional version includes the Salesforce add-on.

= 1.0.80 =

* Includes a new filter for the "get_the_excerpt" hook.

= 1.0.79 =

* Includes modifications in the store's settings.

= 1.0.78 =

* Includes some modifications in the player's sources, and prevents some possible conflicts with WordPress 4.9

= 1.0.77 =

* Applies the same charset used by the database to the plugin's tables.

= 1.0.76 =

* Solves an issue in those websites that generate output characters when the purchased file is being downloaded, breaking the audio file.

= 1.0.75 =

* Allows assign an ISRC (International Standard Recording Code) to the products.
* Improves the store's appearance in small screen, like mobiles devices.

= 1.0.74 =

* Fixes a javascript error.

= 1.0.73 =

* Allows publishing comments in the store's products.
* Allows integrate the Music Store with "Affiliate Royale".

= 1.0.72 =

* Modifies the module for accessing the WordPress reviews section.

= 1.0.71 =

* Minifies the template files.
* Modifies the module that determines if the audio file is local to the website.

= 1.0.70 =

* Improves the access to the plugin documentation and reviews.

= 1.0.69 =

* Includes a new predefined template.
* Modifies the name of the other templates.
* Fixes an issue in the styles.
* Includes a new menu option to facilitate the access to the documentation.

= 1.0.68 =

* Modifies the module that sanitize the products attributes before send them to the browser.

= 1.0.66 =

* Modifies the IPN script to satisfy the new PayPal requirements.

= 1.0.65 =

* Fixes an issue in the regular expression that checks the uploaded files.

= 1.0.64 =

* Strips all dangerous tags from the products' attributes.

= 1.0.63 =

* Strip tags from the terms in the taxonomies: albums and artists.
* Excludes other files types from the lists of files to associate with the songs.

= 1.0.62 =

* Fixes a warning message accessing to QUERY_STRING in the store's pages, in stores with multiple pages.

= 1.0.61 =

* Fixes an issue with the double quotes symbols in the albums and artists names.

= 1.0.60 =

* Fixes an issue with servers where were enabled the Magic Quotes.

= 1.0.59 =

* Allows to enter the Facebook App id for sharing the website's links in Facebook.

= 1.0.58 =

* Includes some changes in the store's settings.

= 1.0.57 =

* Fixes an issue in PHP copying huge files.

= 1.0.56 =

* Fixes an error when the audio files include characters as apostrophes or spaces.
* Includes "try/catch" blocks to prevent the PHP fatal errors, by errors generated in the PHPMailer module.

= 1.0.55 =

* Allows to change the order of artists and albums, dragging them to a different position in their lists, through the songs edition(the feature was included too in the premium version to change the order of songs in collections).

= 1.0.54 =

* Fixes an issue with audio files including apostrophes in their names.

= 1.0.53 =

* Fixes security bugs: XSS - thank you to [Nitin Venkatesh](http://in.linkedin.com/in/nitinvenkatesh/) for the report.

= 1.0.52 =

* Modifies the behavior of the Friendly URLs for the store's products.

= 1.0.51 =

* The albums and artists are ordered now alphabetically in the songs settings.
* Modifies the warning messages in the interface of the plugin.

= 1.0.50 =

* Includes a new music player for MIDI audio files.

= 1.0.49 =

* Includes a new feature, play all songs in a same page, one after the other.

= 1.0.48 =

* Improves the appearance of Dark Layout in mobiles devices.

= 1.0.47 =

* Modifies some jQuery deprecated functions.

= 1.0.46 =

* Changes the order that resources are loaded to prevent conflicts with themes that are not prepared for WP4.5

= 1.0.45 =

* Preserves the order that artists were associated to the products, and not alphabetically.

= 1.0.44 =

* Corrects some urls

= 1.0.43 =

* Security update: Sanitized POST parameters to avoid a cross-site scripting vulnerability

= 1.0.42 =

* Security update: Sanitized POST parameters to avoid a cross-site scripting vulnerability

= 1.0.41 =

* Increases the popularity when the song is played.

= 1.0.40 =

* Modifies the download process to improve the performance and save the server's resources.

= 1.0.39 =

* Includes some changes in the player's implementation.

= 1.0.38 =

* Modifies the sales reports to allow replace all purchases associated to  an email address, by another email address.

= 1.0.37 =

* Checks the MIME Type of files for selling and demo, furthermore of the file for cover.

= 1.0.36 =

* Modifies the registers of free downloads to include the user's email, if it is a registered user, or the IP address.
* Modifies the styles to prevent some conflicts with the WordPress themes.
* In the premium version registers the free downloads if they are the result of a discount, or coupon.

= 1.0.35 =

* Optimize the queries for searching.

= 1.0.34 =

* Takes into account the taxes in the IPN script.

= 1.0.33 =

* Reduces the penalization time by IP if the download link is invalid.

= 1.0.32 =

* Modifies the charts graphs in the sale reports to display more precise results (without rounding the numbers).
* Allows to display or hide the "Buy Now" buttons and the download links for anonymous users.
* Allows to define licenses for free products, regular purchases, and exclusive purchases, and include the links to the licenses in the notification emails.

= 1.0.31 =

* Registers the downloads of the free products.
* Allows filtering the list of products in the sales reports between free and paid products.
* Displays a Pie chart with the free downloads.

= 1.0.30 =

* Includes the metadata needed for sharing the products in Facebook (even the songs' covers)
* Corrects some issues in the feature for searching by taxonomies: Artists, Albums, and Genres.

= 1.0.29 =

* Allows to enable/disable the PayPal Sandbox in the store's settings for testing the purchases

= 1.0.28 =

* Allows more control over the text: "Filter By:" in the store's pages.
* Allows searching by the products' taxonomies, like: artists, genres, and albums.
* Extends the timeout feature, when the IPN has not been notified by PayPal, even for the store manager.

= 1.0.27 =

* Displays the titles of settings pages with H1 tags, and modifies the classes constructors to the PHP5 standard (following the recommendations of WordPress developers).

= 1.0.26 =

* Fixes an issue in the use of friendly URLs on products.

= 1.0.25 =

* Modifies one of predefined layouts of the store.

= 1.0.24 =

* Corrects an issue with the use of the predefined layouts in stores protected with Secure Socket Layer (SSL).

= 1.0.23 =

* Corrects an issue with the size of songs and collections inserted on sidebar.

= 1.0.22 =

* Converts the volume control of music player in the products pages to vertical.

= 1.0.21 =

* Security update to prevent the use of brute force to identify the purchase IDs.

= 1.0.20 =

* Corrects a possible vulnerability in the download process of the purchased files.

= 1.0.19 =

* Corrects an issue with the spaces in the names of the products' files.

= 1.0.18 =

* Corrects an issue with the different terms for filtering the store's products.

= 1.0.17 =

* Allows to use friendly URLs for the products, or not, from the store's settings.
* Selects a smaller image as covers of products, to increase the loading speed of pages of the store, and products.

= 1.0.16 =

* Includes changes in the store's layouts, and modifies the interface for the songs edition. The premium version of the plugin allows selling products exclusively.

= 1.0.15 =

* Corrects an open redirect vulnerability

= 1.0.14 =

* Corrects a conflict in the sales reports, with the Sell Downloads plugin.

= 1.0.13 =

* Modifies the store's layouts.

= 1.0.12 =

*  Modifies the styles in the dark layout.

= 1.0.11 =

*  Modifies the way that post types are registered to allow using custom permalinks.

= 1.0.10 =

* Modifies the appearance of the music store.

= 1.0.9 =

* Implements a new feature in the Music Store plugin, and modifies its interface.

= 1.0.8 =

* Modifies the styles of the filtering section, in the store's page.

= 1.0.7 =

* Improves the extraction of the URL of website in a multisite WordPress installation.
* The Pro version includes a download link with the collections that are distributed for free, to allow download all audio files in an unique zipped file.

= 1.0.6 =

* Includes the Featured Image as part of songs, and collections, because some plugins and themes use the featured Images on post types.
* Uses functions included since WordPress 3.5.0, that modifies the requirements.

= 1.0.5 =

* Modifies some styles in the store to prevent conflicts with the styles defined by the themes.

= 1.0.4 =

* Improves the selection of website's URL.

= 1.0.3 =

* Combines the filtering options in the store with AND, in place of OR, returning more coherent results.
* Corrects an ambiguity in the filtering options when the name of Album, or the Artist are simple numbers.

= 1.0.2 =

* Displays the number of products returned by the filtering combinations.
* Improves the appearance of the store in mobiles devices.

= 1.0.1 =

* Improves the plugin documentation.
* Fixes an issue with tabs in pages of songs and collections.
* Modifies some styles associated to the pages of songs.
* Increases the security of purchased files.
* Improves the visualization of products prices.
* Modifies the design of download page.
* Allows ordering the products in the store by publication date.
* Allows to insert multiple pages, with separated music stores.
* Improves the design of Music Store in mobile devices.
* Allows sharing the pages of the songs in the social networks.
* Optimize the queries to database.
* Modifies the design of the lists of artists, albums and genres, in the music store pages.
* Includes a column with the IDs of the products, in the products list on admin section.
* Checks the available memory on web server to avoid errors downloading the purchased files.
* Corrects the content-type headers, in the download process.
* Fixes an issue with the covers of the songs.
* Improves the store visualization in themes with responsive designs.
* Restores the original file name of purchased file in the download process.
* Includes new features in the sales reports for filtering the sales for different criteria, and includes charts to follow the sales trend easier.
* Allows define a limit of downloads by product purchased, and reset the download links.
* Fixes an issue in the store's pagination.
* Includes multiple layouts.
* Includes the option for filtering the songs by album.
* Set a timeout in the download page if the IPN has not been notified from PayPal.

= 1.0 =

* First version released.

== Upgrade Notice ==

= 1.0.80 =

Important note: If you are using the Professional version don't update via the WP dashboard but using your personal update link. Contact us if you need further information: http://musicstore.dwbooster.com/contact-us